summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorLorenzo Colitti <lorenzo@google.com>2014-05-11 20:29:42 +0900
committerLorenzo Colitti <lorenzo@google.com>2015-02-02 17:47:28 +0900
commit1eccad2f9baf2dc69e46d2ef5a6f2b6f928e185b (patch)
tree79256bddc54702a0771915724aea19b3d32712d0 /tests
parent576ddcbec8256749141a9ef1fccad42667917f29 (diff)
downloadextras-1eccad2f9baf2dc69e46d2ef5a6f2b6f928e185b.tar.gz
Make olddefconfig optional; it only appeared recently.
Change-Id: Ib08c1f37712e0f83f58ab247262355d937f4efd3
Diffstat (limited to 'tests')
-rwxr-xr-xtests/net_test/run_net_test.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/net_test/run_net_test.sh b/tests/net_test/run_net_test.sh
index 2bbd278d..48cc2b9e 100755
--- a/tests/net_test/run_net_test.sh
+++ b/tests/net_test/run_net_test.sh
@@ -63,7 +63,18 @@ done
# Enable the kernel config options listed in $OPTIONS.
cmdline=${OPTIONS// / -e }
./scripts/config $cmdline
-make olddefconfig ARCH=um SUBARCH=x86_64 CROSS_COMPILE=
+
+# olddefconfig doesn't work on old kernels.
+if ! make olddefconfig ARCH=um SUBARCH=x86_64 CROSS_COMPILE= ; then
+ cat >&2 << EOF
+
+Warning: "make olddefconfig" failed.
+Perhaps this kernel is too old to support it.
+You may get asked lots of questions.
+Keep enter pressed to accept the defaults.
+
+EOF
+fi
# Compile the kernel.
make -j12 linux ARCH=um SUBARCH=x86_64 CROSS_COMPILE=